npm不能按需引入@supermap/iclient-leaflet

0 投票
1、npm按按需引入和全部引入,打包大小一样

2、引用@supermap/iclient-leaflet后,无法兼容IE11,脚手架vue cli 4,如何配置?
7月 30 分类:  109次浏览 | 用户: 不明真相的群众1 (3 分)

1个回答

0 投票

您好,建议您npm install leaflet -s --registry=https://registry.npm.taobao.org 。安装原生的leaflet到本地,查看让给您引入是多大的。我们iclient for leaflet是对leaflet的扩展,或者您可以理解是,基于它封装请求体,体积大小是根据原生的leaflet来定的,您可以安装leaflets到您项目查看它原本js文件大小。无法兼容ie11,您可以按照https://iclient.supermap.io/web/introduction/leafletDevelop.html进行打包配置

7月 31 用户: 阳俊林 名扬四海 (3,316 分)
leaflet很小,主要是supemrap扩展包很大,还不能按需引入打包
...